Subject: bug#46942: ci.guix.gnu.org is slow from my system

From: Maxime Devos <[email-masked]>
Date: Mon, 15 Mar 2021 08:21:32 +0100

On Mon, 2021-03-15 at 00:13 +0000, raid5atemyhomework via Bug reports for GNU Guix wrote:
> Hello all,
> 
> [...]
> I recently had to rebuild an OS (because I was dumb; the Guix language
> for shepherd services can easily lead you deadlocking shepherd itself)
> and had supreme difficulty reinstalling, [...]

Reinstalling after a messed up configuration file shouldn't be necessary.
At least when using GRUB as bootloader, guix keeps some old (& presumably
not broken) system generations around, that can be selected when booting
from the bootloader.  (I don't recall exactly how the menu is named,
maybe ‘Old system generations of $HOSTNAMES?)

Greetings,
Maxime.